Skip to main content
`Ctrl`+`K`

# MatMPIAIJGetSeqAIJF90

Returns the local pieces of this distributed matrix

## Synopsis

    MatMPIAIJGetSeqAIJF90(Mat A, Mat Ad, Mat Ao, {PetscInt, pointer :: colmap(:)},integer ierr)

Not Collective

## Input Parameter

- A - the `MATMPIAIJ` matrix

## Output Parameters

- Ad - the diagonal portion of the matrix

- Ao - the off-diagonal portion of the matrix

- colmap - An array mapping local column numbers of `Ao` to global column numbers of the parallel matrix

- ierr - error code

## Note

Use `MatMPIAIJRestoreSeqAIJF90()` when you no longer need access to the matrices and `colmap`

## See Also

Matrices, `Mat`, Routines that Return Fortran Allocatable Arrays, `Mat`, `MATMPIAIJ`, `MatMPIAIJGetSeqAIJ()`, `MatMPIAIJRestoreSeqAIJF90()`

## Level

advanced

## Location

src/mat/impls/aij/mpi/mpiaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages